ru.bitel.bgbilling.modules.bill.common.service

## Interface DocTypeService

-     public interface DocTypeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteDocType(int id)`
    `java.util.List<DocType>` | `docTypeList(int type)`
    `java.util.List<DocType>` | `docTypeListForContract(int contractId, int type)`
    `DocType` | `getDocType(int id)`
    `java.util.List<IdTitle>` | `listPositions(int type)`
    `void` | `updateDocType(DocType dt)`
    `MapHolder<java.lang.Integer,java.util.List<IdTitle>>` | `xmlComposition()` Получить структуру возможной XML-ки.

- - ### Method Detail

    - #### docTypeList

          java.util.List<DocType> docTypeList(int type)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### docTypeListForContract

          java.util.List<DocType> docTypeListForContract(int contractId,
                                                         int type)
                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDocType

          DocType getDocType(int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateDocType

          void updateDocType(DocType dt)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteDocType

          void deleteDocType(int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listPositions

          java.util.List<IdTitle> listPositions(int type)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### xmlComposition

          MapHolder<java.lang.Integer,java.util.List<IdTitle>> xmlComposition()
                                                                       throws ru.bitel.bgbilling.common.BGException

      Получить структуру возможной XML-ки.
      На данный момент она содержит все модули и плагины. А для договора заполняется в клиенте.
      Returns:
        - map, в котором под кодом 1 - модули, 2 - плагины.
      Throws:
        `ru.bitel.bgbilling.common.BGException`